跳转到内容

为嘉宾(没有 Vimine 账户)报名活动——仅限公开活动,服务器端

POST
/v1/events/{slug}/registrations/guest
curl --request POST \
--url https://api.vimine.network/v1/events/example/registrations/guest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "first_name": "example", "last_name": "example", "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "locale": "example" }'

适用于公开活动以及不要求会员资格的报名类型。名额会一直保留,直到当事人通过收到的链接(有效期 24 小时)确认邮箱地址;之后免费类型即确认,需付参与费的类型则等待参与费。无论是什么地址,都统一返回 202(不可借此探测地址);报名资格和校验方面的问题返回 422。仅限客户端令牌(registrations:write);接受 Idempotency-Key。非会员缴纳的参与费属于经营性收入(D-L2)。

slug
必填
string
媒体类型application/json
object
email
必填
string 格式: email
first_name
必填
string
<= 50 个字符
last_name
必填
string
<= 50 个字符
registration_type
必填
string 格式: uuid
note
string
可为 null <= 2000 个字符
locale

提交报名时所用的语言(it、en):即发给嘉宾的邮件所用的语言,也是从未选择语言的会员的后备语言。默认采用 Accept-Language

string
可为 null
示例自动生成
{
"email": "hello@example.com",
"first_name": "example",
"last_name": "example",
"registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"note": "example",
"locale": "example"
}

已受理

媒体类型application/json
object
status
必填
string
允许的值: accepted
示例
{
"status": "accepted"
}

请求无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少凭据或凭据无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

无权操作

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

未找到

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

校验失败、类型未知,或不具备报名资格(reasons:对仅限会员的活动/类型为 membership_required,以及 sold_out、…)

已触发速率限制

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

内部错误

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}